<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/lightThemeBackground">

        <androidx.cardview.widget.CardView
            xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="6dp"
            card_view:cardElevation="4dp"
            card_view:cardCornerRadius="6dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="8dp"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <ImageView
                        android:id="@+id/contact_avatar"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:layout_marginStart="8dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginBottom="8dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/ic_person_black_24dp" />

                    <ImageView
                        android:id="@+id/contact_status_badge"
                        android:layout_width="15dp"
                        android:layout_height="15dp"
                        android:src="@drawable/circle"
                        android:tint="@android:color/holo_green_dark"
                        app:layout_constraintBottom_toBottomOf="@+id/contact_avatar"
                        app:layout_constraintEnd_toEndOf="@+id/contact_avatar" />

                    <TextView
                        android:id="@+id/contact_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="@tools:sample/full_names"
                        android:textSize="20sp"
                        app:layout_constraintTop_toTopOf="@+id/contact_avatar"
                        app:layout_constraintStart_toEndOf="@+id/contact_avatar"
                        android:layout_marginStart="8dp"
                        android:layout_marginBottom="8dp"
                        app:layout_constraintBottom_toTopOf="@+id/contact_address" />

                    <TextView
                        android:id="@+id/contact_address"
                        android:layout_width="285dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:layout_marginEnd="8dp"
                        app:layout_constraintBottom_toBottomOf="@+id/contact_avatar"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0.050"
                        app:layout_constraintStart_toEndOf="@+id/contact_avatar"
                        tools:text="romeo@montague.lit" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <TextView
                    android:id="@+id/contact_presence"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="4dp"
                    tools:text="Unavailable due to extended inactivity for more than 15 minutes."/>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="6dp"
            app:cardElevation="4dp"
            app:cardCornerRadius="6dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="8dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Used Account"
                    android:textAppearance="@style/TextAppearance.AppCompat.Title"/>

                <TextView
                    android:id="@+id/contact_account"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    tools:text="vanitasvitae@jabberhead.tk"/>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Categories"
                    android:textAppearance="@style/TextAppearance.AppCompat.Title"/>

                <com.google.android.material.chip.ChipGroup
                    android:id="@+id/contact_groups"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:chipSpacing="4dp">

                    <com.google.android.material.chip.Chip
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        app:chipStrokeColor="@color/black"
                        android:text="Work"/>

                    <com.google.android.material.chip.Chip
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Dungeons n' Dragons"/>

                </com.google.android.material.chip.ChipGroup>

                <Button
                    android:id="@+id/button_add_to_group"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Mark Mercury Seven"/>
            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <include layout="@layout/view_fingerprints_card_toggleable"
            android:id="@+id/contact_fingerprints"
            android:layout_height="wrap_content"
            android:layout_width="match_parent"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp"
            android:layout_marginTop="6dp"
            android:layout_marginBottom="64dp"/>

    </LinearLayout>

    <com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
        style="@style/Widget.MaterialComponents.ExtendedFloatingActionButton.Icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/fab"
        android:transitionName="fab"
        android:layout_margin="16dp"
        android:layout_gravity="bottom|end"
        app:icon="@drawable/ic_message_black_24dp"/>

</androidx.coordinatorlayout.widget.CoordinatorLayout>
